<?php
// Display the plugin settings page
function crr_plugin_options_page() {
    ?>
    <div class="wrap">
        <h1>Category Role Restrictor Settings</h1>
        <form method="post" action="options.php">
            <?php
            settings_fields('crr-settings-group');
            do_settings_sections('crr-settings-group');
            $user_restrictions = get_option('crr_user_restrictions', array());
            $users = get_users();
            $categories = get_categories(array('hide_empty' => false));
            ?>
            <table class="form-table">
                <tr valign="top">
                    <th scope="row">User Permissions</th>
                    <td>
                        <?php foreach ($users as $user): ?>
                            <h3><?php echo esc_html($user->display_name); ?></h3>
                            <div style="display: flex; flex-wrap: wrap; margin-bottom: 10px;">
                                <?php foreach ($categories as $category): ?>
                                    <label style="margin-right: 10px; display: flex; align-items: center;">
                                        <input type="checkbox" name="crr_user_restrictions[<?php echo $user->ID; ?>][]" value="<?php echo $category->term_id; ?>" <?php checked(in_array($category->term_id, $user_restrictions[$user->ID] ?? array())); ?> onchange="toggleCategoryStyle(this, '<?php echo $category->term_id; ?>', '<?php echo $user->ID; ?>')">
                                        <span id="category-<?php echo $category->term_id; ?>-<?php echo $user->ID; ?>" style="<?php echo (in_array($category->term_id, $user_restrictions[$user->ID] ?? array()) ? 'color: red; font-weight: bold;' : ''); ?>">
                                            <?php echo esc_html($category->name); ?>
                                        </span>
                                    </label>
                                <?php endforeach; ?>
                            </div>
                        <?php endforeach; ?>
                    </td>
                </tr>
            </table>
            <?php submit_button(); ?>
        </form>
    </div>

    <script>
        function toggleCategoryStyle(checkbox, categoryId, userId) {
            var categorySpan = document.getElementById('category-' + categoryId + '-' + userId);

            if (checkbox.checked) {
                categorySpan.style.color = 'red';
                categorySpan.style.fontWeight = 'bold';
            } else {
                categorySpan.style.color = '';
                categorySpan.style.fontWeight = '';
            }
        }

        // Load the selected categories when the page loads
        window.addEventListener('load', function() {
            var userSelect = document.getElementById('user-select');
            var userId = userSelect.value;
            if (userId) {
                showUserCategories(userId);
            }
        });
    </script>
    <?php
}