<?php

// Register plugin settings

add_action('admin_init', 'crr_settings_init');



function crr_settings_init() {

    register_setting(

        'crr-settings-group',

        'crr_user_restrictions',

        'crr_sanitize_user_restrictions'

    );

}



// Sanitize user restrictions

function crr_sanitize_user_restrictions($input) {

    if (!is_array($input)) {

        return array();

    }



    $sanitized_input = array();

    foreach ($input as $user_id => $categories) {

        $user = get_userdata($user_id);

        if ($user) {

            $sanitized_input[$user_id] = array_map('intval', $categories);

        }

    }



    return $sanitized_input;

}